# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-flask-lastuser
%global git_date    20110722
%global git_version 3bf2a0
%global mod_name flask-lastuser

Name:           python-module-flask-lastuser
Version:        0.2
Release:        alt1_4.%{git_date}git%{git_version}
Summary:        Flask extension for LastUser

Group:          Development/Python
License:        BSD
URL:            https://github.com/hasgeek/flask-lastuser

# git clone https://github.com/hasgeek/flask-lastuser
# cd flask-lastuser
# git-archive --format=tar Head | xz  > {mod_name}-{version}.{git_date}git{git_version}.tar.xz
Source0:        %{mod_name}-%{version}.%{git_date}git%{git_version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-httplib2
BuildRequires:  python-module-setuptools
Source44: import.info

%description
Flask-lastuser is a flask extension for lastuser which used for user 
management code including logging in, managing the profile and verifying
email addresses etc.

%prep
%setup -n %{oldname}-%{version} -q -cn %{mod_name}-%{version}.%{git_date}git%{git_version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc docs/ LICENSE README
%{python_sitelibdir_noarch}/*-nspkg.pth
%{python_sitelibdir_noarch}/*.egg-info/
%{python_sitelibdir_noarch}/flaskext/lastuser/*.py*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_4.20110722git3bf2a0
- update to new release by fcimport

* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_3.20110722git3bf2a0
- initial fc import

